com.pivotal.gemfirexd.internal.client.net

## Class Reply

- java.lang.Object
- - com.pivotal.gemfirexd.internal.client.net.Reply

Direct Known Subclasses:
  NetConnectionReply

    public class Reply
    extends Object

### Field Summary

Fields
`protected Agent` `agent_`
`protected byte[]` `buffer_`
`protected int` `count_`
`protected static int` `DEFAULT_BUFFER_SIZE`
`protected int` `dssCorrelationID_`
`protected boolean` `dssIsContinued_`
`protected int` `dssLength_`
`static int` `END_OF_COLLECTION`
`static int` `END_OF_SAME_ID_CHAIN`
`protected boolean` `ensuredLengthForDecryption_`
`protected byte[]` `longBufferForDecryption_`
`protected int` `longCountForDecryption_`
`protected int` `longPosForDecryption_`
`protected byte[]` `longValueForDecryption_`
`protected NetAgent` `netAgent_`
`protected int` `peekedCodePoint_`
`protected int` `peekedLength_`
`protected int` `pos_`

### Method Summary

Methods
`protected int` `adjustDdmLength(int ddmLength, int length)`
`protected void` `adjustLengths(int length)`
`protected void` `endOfSameIdChainData()`
`protected int` `ensureALayerDataInBuffer(int desiredDataSize)`
`protected void` `ensureBLayerDataInBuffer(int desiredDataSize)`
`protected void` `ensureSpaceInBufferForFill(int desiredSpace)`
`protected int` `fill(int minimumBytesNeeded)`
`protected void` `matchCodePoint(int expectedCodePoint)`
`protected void` `parseLengthAndMatchCodePoint(int expectedCodePoint)`
`protected int` `peekCodePoint()`
`protected int` `peekFastBytes(byte[] b, int offset, int length)`
`protected int` `peekFastLength()`
`protected boolean` `peekForNullSqlcagrp()`
`protected int` `peekLength()`
`protected int` `peekNumOfColumns()`
`protected int` `peekTotalColumnCount(int tripletLength)`
`protected void` `popCollectionStack()`
`protected void` `pushLengthOnCollectionStack()`
`protected void` `readDSSContinuationHeader()`
`protected void` `readDssHeader()`
`protected int` `readLengthAndCodePoint()`
`protected void` `startSameIdChainParse()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### agent_

    protected Agent agent_

#### netAgent_

    protected NetAgent netAgent_

#### DEFAULT_BUFFER_SIZE

    protected static final int DEFAULT_BUFFER_SIZE

See Also:
  Constant Field Values

#### buffer_

    protected byte[] buffer_

#### pos_

    protected int pos_

#### count_

    protected int count_

#### ensuredLengthForDecryption_

    protected boolean ensuredLengthForDecryption_

#### longBufferForDecryption_

    protected byte[] longBufferForDecryption_

#### longPosForDecryption_

    protected int longPosForDecryption_

#### longValueForDecryption_

    protected byte[] longValueForDecryption_

#### longCountForDecryption_

    protected int longCountForDecryption_

#### dssLength_

    protected int dssLength_

#### dssIsContinued_

    protected boolean dssIsContinued_

#### dssCorrelationID_

    protected int dssCorrelationID_

#### peekedLength_

    protected int peekedLength_

#### peekedCodePoint_

    protected int peekedCodePoint_

#### END_OF_COLLECTION

    public static final int END_OF_COLLECTION

See Also:
  Constant Field Values

#### END_OF_SAME_ID_CHAIN

    public static final int END_OF_SAME_ID_CHAIN

See Also:
  Constant Field Values

### Method Detail

#### ensureSpaceInBufferForFill

    protected final void ensureSpaceInBufferForFill(int desiredSpace)

#### fill

    protected int fill(int minimumBytesNeeded)
                throws DisconnectException

Throws:
  `DisconnectException`

#### ensureALayerDataInBuffer

    protected final int ensureALayerDataInBuffer(int desiredDataSize)
                                          throws DisconnectException

Throws:
  `DisconnectException`

#### ensureBLayerDataInBuffer

    protected final void ensureBLayerDataInBuffer(int desiredDataSize)
                                           throws DisconnectException

Throws:
  `DisconnectException`

#### readDssHeader

    protected final void readDssHeader()
                                throws DisconnectException

Throws:
  `DisconnectException`

#### readDSSContinuationHeader

    protected final void readDSSContinuationHeader()
                                            throws DisconnectException

Throws:
  `DisconnectException`

#### pushLengthOnCollectionStack

    protected final void pushLengthOnCollectionStack()

#### adjustLengths

    protected final void adjustLengths(int length)

#### adjustDdmLength

    protected int adjustDdmLength(int ddmLength,
                      int length)

#### popCollectionStack

    protected final void popCollectionStack()

#### peekCodePoint

    protected final int peekCodePoint()
                               throws DisconnectException

Throws:
  `DisconnectException`

#### peekLength

    protected final int peekLength()
                            throws DisconnectException

Throws:
  `DisconnectException`

#### peekFastBytes

    protected final int peekFastBytes(byte[] b,
                    int offset,
                    int length)
                               throws DisconnectException

Throws:
  `DisconnectException`

#### parseLengthAndMatchCodePoint

    protected final void parseLengthAndMatchCodePoint(int expectedCodePoint)
                                               throws DisconnectException

Throws:
  `DisconnectException`

#### readLengthAndCodePoint

    protected final int readLengthAndCodePoint()
                                        throws DisconnectException

Throws:
  `DisconnectException`

#### startSameIdChainParse

    protected final void startSameIdChainParse()
                                        throws DisconnectException

Throws:
  `DisconnectException`

#### endOfSameIdChainData

    protected final void endOfSameIdChainData()
                                       throws DisconnectException

Throws:
  `DisconnectException`

#### peekTotalColumnCount

    protected final int peekTotalColumnCount(int tripletLength)
                                      throws DisconnectException

Throws:
  `DisconnectException`

#### peekFastLength

    protected final int peekFastLength()
                                throws DisconnectException

Throws:
  `DisconnectException`

#### matchCodePoint

    protected final void matchCodePoint(int expectedCodePoint)
                                 throws DisconnectException

Throws:
  `DisconnectException`

#### peekNumOfColumns

    protected final int peekNumOfColumns()
                                  throws DisconnectException

Throws:
  `DisconnectException`

#### peekForNullSqlcagrp

    protected final boolean peekForNullSqlcagrp()